Ask Your Question

Revision history [back]

So I think what it's trying to do there is run the 'vgs' command. I'd expect the error your're getting if the package that provides that isn't installed.

78 out, err = self._execute('vgs', '--noheadings', '-o', 'name', 79 run_as_root=True)

Did you sudo apt-get install lvm2 on your cinder-volume node?

So I think what it's trying to do there is run the 'vgs' command. I'd expect the error your're getting if the package that provides that isn't installed.

78        out, err = self._execute('vgs', '--noheadings', '-o', 'name',
79                                run_as_root=True)

run_as_root=True)

Did you sudo apt-get install lvm2 on your cinder-volume node?

So I think what it's trying to do there is run the 'vgs' command. I'd expect the error your're you're getting if the package that provides that isn't installed.

78        out, err = self._execute('vgs', '--noheadings', '-o', 'name',
79                                run_as_root=True)

Did you sudo apt-get install lvm2 on your cinder-volume node?